# -*- coding: utf-8 -*-
# Generated by Django 1.11.5 on 2017-10-15 11:17
from __future__ import unicode_literals

import django.contrib.postgres.fields
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('core', '0003_garrisonfollower'),
        ('thing', '0003_auto_20170929_0755'),
    ]

    operations = [
        migrations.CreateModel(
            name='CharacterFollower',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('level', models.SmallIntegerField(default=0)),
                ('quality', models.SmallIntegerField(default=0)),
                ('current_xp', models.IntegerField(default=0)),
                ('level_xp', models.IntegerField(default=0)),
                ('item_level', models.SmallIntegerField(default=0)),
                ('is_troop', models.BooleanField(default=False)),
                ('abilities', django.contrib.postgres.fields.ArrayField(base_field=models.SmallIntegerField(), default=list, size=None)),
                ('equipment', django.contrib.postgres.fields.ArrayField(base_field=models.SmallIntegerField(), default=list, size=None)),
                ('character', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='thing.Character')),
                ('follower', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='core.GarrisonFollower')),
            ],
        ),
    ]
